package com.community.huiju.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.common.base.BaseController;
import com.community.huiju.service.IUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

/**
 * <p>
 * 物业web端用户表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "物业端用户API", description = "物业端用户API")
public class UserController extends BaseController {
	
	@Autowired
	private IUserService userService;

	
	@ApiOperation(value = "获取用户列表",nickname = "获取用户信息")
	@ApiImplicitParams({
			//@ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token"),
	})
	@RequestMapping(value = "/users",method = RequestMethod.GET)
	public ResponseBean getInfo(HttpSession session) {
		ResponseBean response = new ResponseBean();
		response.addSuccess(userService.list());
		Page a = new Page(1,10);
//		response.addSuccess(userService.page(a));
		return response;
	}

	@ApiOperation(value = "获取已认证通过的用户信息",nickname ="获取已认证通过的用户信息")
	@ApiImplicitParams({
			@ApiImplicitParam(paramType = "body", dataType = "String", name = "paramets", value ="loginName:手机号,serName:姓名 ,verifyStatus:审核状态,current:每页显示多少条,pageSzie:当前页数")})

	@RequestMapping(value="/userPassCertification",method = RequestMethod.POST)
	public ResponseBean userPassCertification(@RequestBody String paramets){


		ResponseBean allApprove=userService.selectUserApprove(paramets);
		return allApprove;
	}
}
