package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.BuildingOwnerInfo;

import java.util.List;

/**
 * <p>
 * 楼栋业主资料信息表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2018-12-18
 */
public interface IBuildingOwnerInfoService extends IService<BuildingOwnerInfo> {

    /**
     * 根据条件查询
     * @param parameter
     * @return
     */
    ResponseBean listQuery(String parameter);

    /**
     * 修改 楼栋业主信息
     * @param parameter
     * @param userId
     * @return
     */
    ResponseBean update(String parameter, Integer userId);

    /**
     * 添加 楼栋业主信息
     * @param parameter
     * @param userId
     * @return
     */
    ResponseBean add(String parameter, Integer userId);

    /**
     * 查询 楼栋/单元/楼层/号
     *
     *  楼栋是根据 小区ID查询
     *
     * @param parameter
     * @return
     */
    ResponseBean getBuildingOrUnitOrNumber(String parameter, Integer communityId);

}
